package com.bzd.system.service.ddgl;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 第三方支付开票表 service
* @author LiXiangFei
* @since 2024-10-15
*/

@Service
public class SDdglFpglDsfzfkpService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSDdglFpglDsfzfkp(PageData pd)throws Exception {
        return daoSupport.update("SDdglFpglDsfzfkpMapper.addSDdglFpglDsfzfkp", pd);
    }

    public List<PageData> findSDdglFpglDsfzfkpList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SDdglFpglDsfzfkpMapper.selectSDdglFpglDsfzfkpList", pd);
    }

    public Integer SDdglFpglDsfzfkpRemove(PageData pd)throws Exception {
        return daoSupport.delete("SDdglFpglDsfzfkpMapper.SDdglFpglDsfzfkpRemove", pd);
    }


    public Integer updateSDdglFpglDsfzfkp(PageData pd)throws Exception {
        return daoSupport.update("SDdglFpglDsfzfkpMapper.updateSDdglFpglDsfzfkp", pd);
    }

}
